"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _FetchConnectorContext = _interopRequireDefault(require("./FetchConnectorContext"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var FetchHookProvider = function FetchHookProvider(_ref) {
  var connector = _ref.connector,
      children = _ref.children;
  return _react["default"].createElement(_FetchConnectorContext["default"].Provider, {
    value: connector
  }, children);
};

FetchHookProvider.displayName = 'FetchHookProvider';

var _default = _react["default"].memo(FetchHookProvider);

exports["default"] = _default;